DIR="../archives/"
echo
echo ----TESTING FORMAT FILES AND ITS EXTENSION----
echo
for d in $DIR*/;do
    echo
    echo FOLDER $d
    echo
    echo "NetCDF Files"
    if [ "$(ls -A $d*nc)" ];then 
        for f in $d*.nc;do
            echo
            file $f
            echo
            echo "NetCDF format"
            ncdump -k $f
            echo
            cdo griddes $f | grep "gridtype"
            echo
            cdo sinfo $f | grep "File format"
            echo
            echo -------------------------------------------
            echo
        done
    else
        echo
        echo "No NetCDF files found in $d"
        echo
    fi
    echo
    echo "GRIB files"
    if [ "$(ls -A $d*grib)" ];then
        for f in $d*.grib;do
            echo
            file $f
            echo
            cdo griddes $f | grep "gridtype"
            echo
            cdo sinfo $f | grep "File format"
            echo
            echo -------------------------------------------
        done
    else
        echo
        echo "No GRIB files found in $d"
        echo
    fi
    echo
    echo ===========================================
    echo ===========================================
    echo
done
echo
echo              ----FINISHED----
echo
